package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Visa_pricesRepository;
import com.realnet.vpspack.Entity.Visa_prices
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;










	import org.springframework.stereotype.Service;

@Service
 public class Visa_pricesService {
@Autowired
private Visa_pricesRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;









public Visa_prices Savedata(Visa_prices data) {










	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Visa_prices save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Visa_prices> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Visa_prices> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Visa_prices> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Visa_prices getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Visa_prices update(Visa_prices data,Integer id) {
	Visa_prices old = Repository.findById(id).get();
old.setVisa_entry_type(data.getVisa_entry_type());

old.setVisa_duration(data.getVisa_duration());

old.setVisa_processing(data.getVisa_processing());

old.setTotal_price(data.getTotal_price());

old.setCost(data.getCost());

final Visa_prices test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 










 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
